Page MenuHomePhabricator

Review and update data sources of wikimedia.biterg.io
Closed, ResolvedPublic

Description

This has not been done for a while which makes our stats less reliable/complete than they could be:
https://gitlab.com/Bitergia/c/Wikimedia/sources/blob/master/projects.json

Event Timeline

Aklapper renamed this task from Update data sources to Review and update data sources of wikimedia.biterg.io.Jan 18 2019, 1:52 PM
Aklapper triaged this task as High priority.
Aklapper created this task.
  • wget https://gitlab.com/Bitergia/c/Wikimedia/sources/raw/master/projects.json
  • grep -P -o '(?<=gerrit\.wikimedia\.org\/r\/).*?(?=\"\,)' projects.json | sort > bitergia.list
  • ssh -l yourUsername -p 29418 gerrit.wikimedia.org gerrit ls-projects | sort > gerrit.list
  • comm -13 bitergia.list gerrit.list

https://gitlab.com/Bitergia/c/Wikimedia/sources/merge_requests/1

Aklapper closed this task as Resolved.Jan 23 2019, 9:38 AM

Commits in https://gitlab.com/Bitergia/c/Wikimedia/sources/commits/master/projects.json

Picking a random example, on https://wikimedia.biterg.io/app/kibana#/dashboard/Gerrit , repository:"mediawiki/extensions/PageAssessments" now shows activity after adding it to the sources.

And today also on https://wikimedia.biterg.io/app/kibana#/dashboard/Git , repo_name:"https://gerrit.wikimedia.org/r/mediawiki/extensions/PageAssessments" there is recent activity listed (This took a day longer).

Qgil awarded a token.Jan 24 2019, 10:34 PM